Debian Bug report logs - #662227
FTBFS in non-UTF-8 locales (such as C)

version graph

Package: src:live-manual; Maintainer for src:live-manual is Live Systems Maintainers <debian-live@lists.debian.org>;

Reported by: Stefano Rivera <stefanor@debian.org>

Date: Sun, 4 Mar 2012 19:57:01 UTC

Severity: serious

Tags: patch, sid, wheezy

Merged with 665067

Found in version live-manual/1:3.0~a10-1

Fixed in version live-manual/1:3.0~a11-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#662227; Package src:live-manual. (Sun, 04 Mar 2012 19:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Rivera <stefanor@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Sun, 04 Mar 2012 19:57:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Rivera <stefanor@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: src:live-manual: FTBFS in non-UTF-8 locales (such as C)
Date: Sun, 4 Mar 2012 19:53:21 +0000
[Message part 1 (text/plain, inline)]
Package: src:live-manual
Version: 1:3.0~a10-1
Severity: serious

Build log excerpt:
>  Rescued An ERROR occurred, message:" invalid byte sequence in
>  US-ASCII ["/usr/lib/ruby/1.9.1/sisu/v3/composite.rb:191:in `block
>  in insertions?'",
>  "/usr/lib/ruby/1.9.1/sisu/v3/composite.rb:189:in `each'",
>  "/usr/lib/ruby/1.9.1/sisu/v3/composite.rb:189:in `insertions?'",
>  "/usr/lib/ruby/1.9.1/sisu/v3/composite.rb:112:in `read'",
>  "/usr/lib/ruby/1.9.1/sisu/v3/hub.rb:185:in `block in select'",
>  "/usr/lib/ruby/1.9.1/sisu/v3/hub.rb:131:in `each'",
>  "/usr/lib/ruby/1.9.1/sisu/v3/hub.rb:131:in `each_with_index'",
>  "/usr/lib/ruby/1.9.1/sisu/v3/hub.rb:131:in `select'",
>  "/usr/lib/ruby/1.9.1/sisu/v3/hub.rb:349:in `op'",
>  "/usr/lib/ruby/1.9.1/sisu/v3/hub.rb:481:in `actions'",
>  "/usr/lib/ruby/1.9.1/sisu/v3/hub.rb:668:in `<module:SiSU>'",
>  "/usr/lib/ruby/1.9.1/sisu/v3/hub.rb:60:in `<top (required)>'",
>  "/usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'",
>  "/usr/lib/ruby/1.9.1/rubygems/custom_require.rb:36:in `require'",
>  "/usr/bin/sisu:62:in `<main>'"] 

Seems it wants a UTF-8 locale. The easiest solution is usually to
Build-Depend on locales, generate one during the build, and use it
(LOCPATH).

SR
[live-manual_3.0~a10-1_amd64.build (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#662227; Package src:live-manual. (Thu, 15 Mar 2012 19:57:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matt Fischer <matthew.fischer@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Thu, 15 Mar 2012 19:57:12 GMT) Full text and rfc822 format available.

Message #10 received at 662227@bugs.debian.org (full text, mbox):

From: Matt Fischer <matthew.fischer@canonical.com>
To: 662227@bugs.debian.org
Cc: control@bugs.debian.org
Subject: patch attached
Date: Thu, 15 Mar 2012 13:54:14 -0600
[Message part 1 (text/plain, inline)]
tags 662227 + patch
thanks

I have a different way to fix this.  Patch is attached.


[662227.debdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Matt Fischer <matthew.fischer@canonical.com> to control@bugs.debian.org. (Thu, 15 Mar 2012 19:57:14 GMT) Full text and rfc822 format available.

Added tag(s) sid and wheezy. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 30 Mar 2012 07:03:14 GMT) Full text and rfc822 format available.

Merged 662227 665067 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 30 Mar 2012 07:03:15 GMT) Full text and rfc822 format available.

Changed Bug title to 'FTBFS in non-UTF-8 locales (such as C)' from 'src:live-manual: FTBFS in non-UTF-8 locales (such as C)' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 30 Mar 2012 07:03:16 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Fri, 30 Mar 2012 07:03:17 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#662227; Package src:live-manual. (Fri, 30 Mar 2012 11:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@progress-technologies.net:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Fri, 30 Mar 2012 11:33:17 GMT) Full text and rfc822 format available.

Message #25 received at 662227@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: 662227@bugs.debian.org
Subject: Re: FTBFS in non-UTF-8 locales (such as C)
Date: Fri, 30 Mar 2012 13:31:12 +0200
jftr/jfyi, your patch had several issues:

  * you used debian/tmp for a multi-binary package, which is bad, as
    debhelper already uses debian/tmp already. never do that, use
    debian/build instead (and clean it up in the clean target of rules).

  * additionally, unrelated to that that debhelper already uses
    debian/tmp, it wouldn't have worked anyway (and any build with your
    patch would fail), as we do (and as anyone sane should) use
    dh_install with --fail-missing.

  * the export of the variables is not required at all.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 03 Apr 2012 10:21:04 GMT) Full text and rfc822 format available.

Notification sent to Stefano Rivera <stefanor@debian.org>:
Bug acknowledged by developer. (Tue, 03 Apr 2012 10:21:06 GMT) Full text and rfc822 format available.

Message #30 received at 662227-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 662227-close@bugs.debian.org
Subject: Bug#662227: fixed in live-manual 1:3.0~a11-1
Date: Tue, 03 Apr 2012 10:18:54 +0000
Source: live-manual
Source-Version: 1:3.0~a11-1

We believe that the bug you reported is fixed in the latest version of
live-manual, which is due to be installed in the Debian FTP archive:

live-manual-all_3.0~a11-1_all.deb
  to main/l/live-manual/live-manual-all_3.0~a11-1_all.deb
live-manual-epub_3.0~a11-1_all.deb
  to main/l/live-manual/live-manual-epub_3.0~a11-1_all.deb
live-manual-html_3.0~a11-1_all.deb
  to main/l/live-manual/live-manual-html_3.0~a11-1_all.deb
live-manual-odf_3.0~a11-1_all.deb
  to main/l/live-manual/live-manual-odf_3.0~a11-1_all.deb
live-manual-pdf_3.0~a11-1_all.deb
  to main/l/live-manual/live-manual-pdf_3.0~a11-1_all.deb
live-manual-txt_3.0~a11-1_all.deb
  to main/l/live-manual/live-manual-txt_3.0~a11-1_all.deb
live-manual_3.0~a11-1.debian.tar.gz
  to main/l/live-manual/live-manual_3.0~a11-1.debian.tar.gz
live-manual_3.0~a11-1.dsc
  to main/l/live-manual/live-manual_3.0~a11-1.dsc
live-manual_3.0~a11.orig.tar.gz
  to main/l/live-manual/live-manual_3.0~a11.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 662227@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-manual package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 03 Apr 2012 09:19:27 +0200
Source: live-manual
Binary: live-manual-all live-manual-epub live-manual-html live-manual-odf live-manual-pdf live-manual-txt
Architecture: source all
Version: 1:3.0~a11-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live Project <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-manual-all - Debian Live - Documentation (metapackage)
 live-manual-epub - Debian Live - Documentation (epub)
 live-manual-html - Debian Live - Documentation (html)
 live-manual-odf - Debian Live - Documentation (odf)
 live-manual-pdf - Debian Live - Documentation (pdf)
 live-manual-txt - Debian Live - Documentation (txt)
Closes: 662227 665067
Changes: 
 live-manual (1:3.0~a11-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Updating year in copyright.
 .
   [ chals ]
   * Adding Appendix:Style guide, thanks to my co-translator jlz.
   * Fixing some 'fuzzy' strings in several po files.
   * Changing time and links to 'build.log' and 'manual-trace' on
     index.html.
   * Updating to 3.x, architectures.
   * Updating 'es' and 'fr', architectures.
   * Revising Spanish translation, chapters 6-16
   * Revising Spanish translation, chapters 1-5.
   * Updating 2.3 Contact, link to the wiki.
   * Removing reference to the wiki.
   * Rewriting bootloaders from general to specific and adding content --
     syslinux-theme and splash.png image.
   * Updating Spanish translation, bootloaders.
   * Updating French translation, bootloaders
   * Fixing style in the bootloader section.
 .
   [ Daniel Baumann ]
   * Updating copyright file machine-readable format version 1.0.
   * Updating to standards version 3.9.3.
   * Updating to debhelper version 9.
 .
   [ Ben Armstrong ]
   * Clarifying that this version of the manual applies to Wheezy.
 .
   [ chals ]
   * Updating 'es' and 'fr' translations.
   * Adding translate target to assist translators in selectively finding
     and fixing fuzzy strings in their respective languages.
   * Revising French translation, chapters 11-16.
   * Revising French translation, chapters 8-10.
   * Revising French translation, chapters 1-7.
   * Updating to 3.x the lb config command in user_overview.ssi.
   * Fixing typos and some minor formatting errors, updating 'es' and
     'fr' at the same time.
   * Fixing minor formatting errors in 'it' and some fuzzy issues.
 .
   [ anonym ]
   * Updating the persistence section w.r.t. recent changes in live-boot.
 .
   [ Ben Armstrong ]
   * Minor fixes & clarification in persistence section.
 .
   [ chals ]
   * Fixing formatting in user_customization-runtime and updating Spanish
     translation.
   * Updating French translation of overlays, fixing typos and dealing
     with fuzzy strings.
 .
   [ Daniel Baumann ]
   * Generating en_US.UTF-8 locale during build in order to fix FTBFS
     (Closes: #662227, #665067).
 .
   [ chals ]
   * Adding some markup examples to the style guide.
   * Fixing formatting of italics in packages *-doc and fixing typo in
     coding_style.
   * Fixing several 'fuzzy' stings in several languages after updating
     the po files.
   * Improving the markup examples for code blocks.
 .
   [ skizzhg ]
   * Updating about_manual and user_customization-runtime, italian
     translation.
 .
   [ chals ]
   * Fixing 'fuzzy' in style_guide, thanks to skizzhg, caused by newlines
     '\n' in es, fr, it , pt_BR and ro.
 .
   [ skizzhg ]
   * Updating user_customization-runtime, italian translation.
Checksums-Sha1: 
 6996bc8d27981a9f52a2e67c09aeeec49049638c 1724 live-manual_3.0~a11-1.dsc
 e275d3c0c766fd5e24692d8132b109e3882e1096 993621 live-manual_3.0~a11.orig.tar.gz
 2a50b84d1be9cc711266bd756b6cafa761b44920 18572 live-manual_3.0~a11-1.debian.tar.gz
 3379d8585bed3e84e52986bdf2a3ca55af115586 18568 live-manual-all_3.0~a11-1_all.deb
 f812600b12f0e7290e5cb3761966b303e666e9ae 699254 live-manual-epub_3.0~a11-1_all.deb
 fbf8cd454faa1b7361eaf4b720efcfa6119fe6fe 1433234 live-manual-html_3.0~a11-1_all.deb
 6fc0d93cfb9d8750661b4ae40a53261b426b713d 457916 live-manual-odf_3.0~a11-1_all.deb
 d17feeb457308373e362b597ee28458a93ef821d 18548 live-manual-pdf_3.0~a11-1_all.deb
 1778bcbe5614d024099ad9a60ec715a168e1d3cd 358628 live-manual-txt_3.0~a11-1_all.deb
Checksums-Sha256: 
 32f2db3e5b95efff12c1429b92add0a3f2916458431073b4f263cd67392820a1 1724 live-manual_3.0~a11-1.dsc
 09a240e2fad25e8f7741e568625a9808399289b8fc5240dee3d9b8dce97f1e6d 993621 live-manual_3.0~a11.orig.tar.gz
 4426021ba37e55730706376ba5d7638a0ac37dd4886626d50d772910938c4331 18572 live-manual_3.0~a11-1.debian.tar.gz
 5559701a5d51edcb9ab51c84aaa391b032b016bb721660cec63acdc9299a4768 18568 live-manual-all_3.0~a11-1_all.deb
 543407f88c50af260ce65df4ecd22d218d1837a945d039bd6856e74bc9d41b0f 699254 live-manual-epub_3.0~a11-1_all.deb
 6132a96b1758d1ba646086ee1c9cfe43567babad02f1101558bc5e6bebc0b554 1433234 live-manual-html_3.0~a11-1_all.deb
 385d57d80b7c5314ac98eb16dd01c8e75d1b7c3a2bd65ef4c6cd6431f629468d 457916 live-manual-odf_3.0~a11-1_all.deb
 ba23538b685694055917a9481ee910c1d4fef0b5f6836c8d6edcd30da09f8d89 18548 live-manual-pdf_3.0~a11-1_all.deb
 b81230a65791172b2cf051c4b7f69a9705846df5dda5fdb86a8dd12fe1c951f2 358628 live-manual-txt_3.0~a11-1_all.deb
Files: 
 17e24271d8b2ce224001ff9d27476c86 1724 doc optional live-manual_3.0~a11-1.dsc
 fdfac433f4d60c742109d252a57e4d00 993621 doc optional live-manual_3.0~a11.orig.tar.gz
 2a7d0ecbdeb520bd56407980ef6e6488 18572 doc optional live-manual_3.0~a11-1.debian.tar.gz
 e672d5df37648459631dff282b758984 18568 doc optional live-manual-all_3.0~a11-1_all.deb
 5678e71a063223fd7161efbce235b72e 699254 doc optional live-manual-epub_3.0~a11-1_all.deb
 2f13de7cb94386cc7c03e61fba5317d1 1433234 doc optional live-manual-html_3.0~a11-1_all.deb
 f373af311ddecfd70c61503e6cd9dae7 457916 doc optional live-manual-odf_3.0~a11-1_all.deb
 8bdcac49e793b9372189c94622e4f2e4 18548 doc optional live-manual-pdf_3.0~a11-1_all.deb
 874e2ded5c955450a62bcd9a5634ec37 358628 doc optional live-manual-txt_3.0~a11-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk96ylQACgkQ+C5cwEsrK54mvgCeNUd2XhHQEIULxfNFksbhDyWh
+jAAoKcil3tmBhfr33goYRRDswC1b/LV
=9NFe
-----END PGP SIGNATURE-----





Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Tue, 03 Apr 2012 10:21:14 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Tue, 03 Apr 2012 10:21:19 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 12 May 2012 07:36:03 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 13:20:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.